##---------------------------------------------------------------------------------------------------
class MaterialDescription:
    ##-----------------------------------------------------------------------------------------------
    def __init__(
        self, uuid, name, data_json,
        is_double_sided, shader_ref, skinned_shader_ref):
            self.uuid               = uuid
            self.name               = name
            self.data_json          = {}
            self.is_double_sided    = is_double_sided
            self.shader_ref         = shader_ref
            self.skinned_shader_ref = skinned_shader_ref

    ##-----------------------------------------------------------------------------------------------
    def get_dict(self):
        self.description = {}
        self.description = {
            "uuid": self.uuid,
            "name": self.name,
            "dataJson": self.data_json,
            "isDoubleSided": self.is_double_sided,
            "shaderRef": self.shader_ref,  
            "skinnedShaderRef": self.skinned_shader_ref,  
            "version": 1
        }
        return self.description
    