import json
import os


##-----------------------------------------------------------------------------------------------
def write_description(description_dict, file_name, output_folder_path):
    temp_filepath = os.path.join(output_folder_path, file_name)
    with open(temp_filepath, 'w') as temp_file:
        json.dump(description_dict, temp_file, indent=4)
    print(f"Description written to {temp_filepath}")
    
##-----------------------------------------------------------------------------------------------
def write_payload(payload_data, temp_filename, output_folder_path):
    temp_filepath   = os.path.join(output_folder_path, temp_filename)
    with open(temp_filepath, 'wb') as temp_file:
        temp_file.write(payload_data) 
                