##---------------------------------------------------------------------------------------------------
class EUID:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, value):
        self.value = value
    ##-----------------------------------------------------------------------------------------------  
    def to_dict(self):
        return {"value": self.value}

##---------------------------------------------------------------------------------------------------
class DebugName:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, value):
        self.value = value

    ##-----------------------------------------------------------------------------------------------
    def to_dict(self):
        return {"value": self.value}

##---------------------------------------------------------------------------------------------------   
class LocalTransform:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, orientation, position, scale):
        self.orientation = orientation
        self.position    = position
        self.scale       = scale

    ##-----------------------------------------------------------------------------------------------
    def to_dict(self):
        return {
            "orientation": self.orientation,
            "position": self.position,
            "scale": self.scale
        }

##---------------------------------------------------------------------------------------------------
class LocalAABB:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, min, max):
        self.min = min
        self.max = max

    ##-----------------------------------------------------------------------------------------------
    def to_dict(self):
        return {
            "max": self.max,
            "min": self.min
        }
        
##---------------------------------------------------------------------------------------------------
class Lineage:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, parent_uuid):
        self.parentUUID = parent_uuid

    ##-----------------------------------------------------------------------------------------------    
    def to_dict(self):
        return {
            "parentUUID": self.parentUUID
        }

##---------------------------------------------------------------------------------------------------       
class MeshRef:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, value, submesh_index):
        self.value         = value
        self.submesh_index = submesh_index
        
    ##-----------------------------------------------------------------------------------------------    
    def to_dict(self):
        return {
            "submeshIndex": self.submesh_index,
            "value": self.value
        }

##---------------------------------------------------------------------------------------------------        
class MaterialRef:
    ##-----------------------------------------------------------------------------------------------
    def __init__(self, value):
        self.face_culling = 0
        self.value        = value

    ##-----------------------------------------------------------------------------------------------
    def to_dict(self):
        return {
            "faceCulling" : self.face_culling,
            "value": self.value
        }  
