from ..core.scene_description import SceneDescription
import uuid


##---------------------------------------------------------------------------------------------------
class SceneBuilder():
    def __init__(self, scene_name):
        self.description        = SceneDescription()
        self.description.uuid   = str(uuid.uuid4())
        self.description.name   = scene_name

    ##-----------------------------------------------------------------------------------------------
    def add_entity(self, entity):
        self.description.entities.append(entity)
        return len(self.description.entities) - 1

    ##-----------------------------------------------------------------------------------------------
    def get_entity(self, index):
        return self.description.entities[index]
